Bug 1264416 - Make block copy more stable
Make block copy more stable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 08:14 EDT by Markus Stockhausen
Modified: 2015-10-09 07:21 EDT (History)
9 users (show)

See Also:
Fixed In Version: qemu-2.1.3-11.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 07:21:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Stockhausen 2015-09-18 08:14:54 EDT
History repeats itself.

After reporting BZ1262251 and asking for patch backport in BZ1262901 qemu in Fedora is working much better for live merges. Nevertheless mirror operation fails in rare cases at a later stage when VM is doing heavy disk IO. 

Bugzilla gives BZ1233826 -> BZ1238585 as a possible fix. So I backported http://git.qemu.org/?p=qemu.git;a=commit;h=cae98cb87d269c33d23b2bccd79bb8d99a60d811 to FC21 and the mirror operation is stable now.

Could it find its way into FC21/FC22 too?
Comment 1 Fedora Update System 2015-09-21 20:14:57 EDT
qemu-2.1.3-11.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16368
Comment 2 Fedora Update System 2015-09-23 01:23:11 EDT
qemu-2.1.3-11.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qemu'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16368
Comment 3 Fedora Update System 2015-10-09 07:20:09 EDT
qemu-2.1.3-11.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.